Page MenuHomePhabricator

Unable to enable IPv6 autoconf on PPPoE
Closed, ResolvedPublicBUG

Description

When I have this configuration:

set interfaces ethernet eth5 pppoe 0 default-route 'none'
set interfaces ethernet eth5 pppoe 0 enable-ipv6
set interfaces ethernet eth5 pppoe 0 mtu '1492'
set interfaces ethernet eth5 pppoe 0 name-server 'auto'
set interfaces ethernet eth5 pppoe 0 password 'xxxxx'
set interfaces ethernet eth5 pppoe 0 user-id 'xxxxxx'

and I add:

set interfaces ethernet eth5 pppoe 0 ipv6 address autoconf

(and commit)

I get:

cp: cannot create regular file ‘/etc/ppp/ipv6-up.d/50-vyos-pppoe0-autoconf’: No such file or directory
sed: can't read /etc/ppp/ipv6-up.d/50-vyos-pppoe0-autoconf: No such file or directory
chmod: cannot access ‘/etc/ppp/ipv6-up.d/50-vyos-pppoe0-autoconf’: No such file or directory
Warning: IPv6 forwarding is currently enabled.
         IPv6 address auto-configuration will not be performed
         unless IPv6 forwarding is disabled.

So there seem to be two issues, a missing directory (ipv6-up.d) and also the forwarding/autoconf, which is fixed by the accept_ra sysctl option (discussed at length in relation to EdgeOS here - https://community.ui.com/questions/IPv6-SLAAC-Assignment-On-Wan-Interface/b5b67de0-5489-43be-9e3f-74085f083595)

Details

Difficulty level
Easy (less than an hour)
Version
1.2.3
Why the issue appeared?
Will be filled on close
Is it a breaking change?
Perfectly compatible

Event Timeline

pasik added a subscriber: pasik.Sep 25 2019, 7:29 PM
Dmitry added a subscriber: Dmitry.Sep 26 2019, 2:45 PM
hagbard claimed this task.Sep 26 2019, 10:21 PM
hagbard triaged this task as Normal priority.
hagbard added a project: VyOS 1.3 Equuleus.
hagbard changed Difficulty level from Unknown (require assessment) to Easy (less than an hour).
mjb added a subscriber: mjb.Sep 30 2019, 12:11 AM
hagbard moved this task from Needs Triage to Backlog on the VyOS 1.2 Crux (VyOS 1.2.3) board.
hagbard changed the task status from Needs testing to Backport pending.Sep 30 2019, 10:20 PM
hagbard closed this task as Resolved.Fri, Oct 18, 7:58 PM
hagbard moved this task from Backlog to Finished on the VyOS 1.2 Crux (VyOS 1.2.3) board.